import request from '@/utils/request'

// 查询群发成员发送任务及执行结果反馈记录列表
export function listGroupMsgUser(query) {
  return request({
    url: '/qw/groupMsgUser/list',
    method: 'get',
    params: query
  })
}

// 查询群发成员发送任务及执行结果反馈记录详细
export function getGroupMsgUser(id) {
  return request({
    url: '/qw/groupMsgUser/' + id,
    method: 'get'
  })
}

// 新增群发成员发送任务及执行结果反馈记录
export function addGroupMsgUser(data) {
  return request({
    url: '/qw/groupMsgUser',
    method: 'post',
    data: data
  })
}

// 修改群发成员发送任务及执行结果反馈记录
export function updateGroupMsgUser(data) {
  return request({
    url: '/qw/groupMsgUser',
    method: 'put',
    data: data
  })
}

// 删除群发成员发送任务及执行结果反馈记录
export function delGroupMsgUser(id) {
  return request({
    url: '/qw/groupMsgUser/' + id,
    method: 'delete'
  })
}

// 导出群发成员发送任务及执行结果反馈记录
export function exportGroupMsgUser(query) {
  return request({
    url: '/qw/groupMsgUser/export',
    method: 'get',
    params: query
  })
}

/** 刷新/同步 客户群群发 结果 */
export function refreshResultsGroupMsgUser(data){
  return request({
    url: '/qw/groupMsgUser/refreshResultsGroupMsgUser',
    method: 'post',
    data: data
  })
}

/** 刷新/同步 客户群发 结果 */
export function refreshResultsMsgUser(data){
  return request({
    url: '/qw/groupMsgUser/refreshResultsMsgUser',
    method: 'post',
    data: data
  })
}
